/*******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2004-2010 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
********************************************************************************
*
* $File Name: xbar_8xxx.c$
*
* $Date:      Oct-12-2010$
*
* $Version:   2.5.3.0$
*
* Description: Source file for the XBAR driver
*
*****************************************************************************/

#include "qs.h"
#include "xbar.h"

/********************************************************************************
 xbarInit() function performs the XBAR module static configuration
 based on the configurable items from appconfig.h 
********************************************************************************/

void xbarInit(arch_sXBAR *pXbarBase)
{
#pragma unused(pXbarBase)
	#ifdef XBAR_XBC0_INIT
	periphMemWrite(XBAR_XBC0_INIT, &pXbarBase->xbc0);
	#endif

	#ifdef XBAR_XBC1_INIT
	periphMemWrite(XBAR_XBC1_INIT, &pXbarBase->xbc1);
	#endif

	#ifdef XBAR_XBC2_INIT
	periphMemWrite(XBAR_XBC2_INIT, &pXbarBase->xbc2);
	#endif

	#ifdef XBAR_XBC3_INIT
	periphMemWrite(XBAR_XBC3_INIT, &pXbarBase->xbc3);
	#endif

	#ifdef XBAR_XBC4_INIT
	periphMemWrite(XBAR_XBC4_INIT, &pXbarBase->xbc4);
	#endif

	#ifdef XBAR_XBC5_INIT
	periphMemWrite(XBAR_XBC5_INIT, &pXbarBase->xbc5);
	#endif

	#ifdef XBAR_XBC6_INIT
	periphMemWrite(XBAR_XBC6_INIT, &pXbarBase->xbc6);
	#endif

	#ifdef XBAR_XBC7_INIT
	periphMemWrite(XBAR_XBC7_INIT, &pXbarBase->xbc7);
	#endif

	#ifdef XBAR_XBC8_INIT
	periphMemWrite(XBAR_XBC8_INIT, &pXbarBase->xbc8);
	#endif

	#ifdef XBAR_XBC9_INIT
	periphMemWrite(XBAR_XBC9_INIT, &pXbarBase->xbc9);
	#endif

	#ifdef XBAR_XBC10_INIT
	periphMemWrite(XBAR_XBC10_INIT, &pXbarBase->xbc10);
	#endif

	#ifdef XBAR_XBC11_INIT
	periphMemWrite(XBAR_XBC11_INIT, &pXbarBase->xbc11);
	#endif

	#ifdef XBAR_XBC12_INIT
	periphMemWrite(XBAR_XBC12_INIT, &pXbarBase->xbc12);
	#endif

	#ifdef XBAR_XBC13_INIT
	periphMemWrite(XBAR_XBC13_INIT, &pXbarBase->xbc13);
	#endif

	#ifdef XBAR_XBC14_INIT
	periphMemWrite(XBAR_XBC14_INIT, &pXbarBase->xbc14);
	#endif

}
